Subject: [alpine-devel] [PATCH] new aport:moc

From: ScrumpyJack <[email-masked]>
Date: Wed, 20 May 2015 16:21:47 +0000 (UTC)

MOC is a console audio player

---
 testing/moc/APKBUILD | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)
 create mode 100644 testing/moc/APKBUILD

diff --git a/testing/moc/APKBUILD b/testing/moc/APKBUILD
new file mode 100644
index 0000000..6b70518
--- /dev/null
+++ b/testing/moc/APKBUILD
@@ -0,0 +1,64 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=moc
+pkgver=2.5.0
+pkgrel=0
+pkgdesc="MOC is a console audio player"
+url="http://moc.daper.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="curl-dev libtool file ffmpeg-dev speex-dev alsa-lib-dev
+             libmodplug-dev faad2-dev jack-dev libmad-dev ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://ftp.daper.net/pub/soft/moc/stable/moc-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure \
+            --build=$CBUILD \
+            --host=$CHOST \
+            --prefix=/usr \
+            --without-rcc \
+            --with-oss \
+            --with-alsa \
+            --with-jack \
+            --with-aac \
+            --with-mp3 \
+            --with-musepack \
+            --with-vorbis \
+            --with-flac \
+            --with-wavpack \
+            --with-sndfile \
+            --with-modplug \
+            --with-ffmpeg \
+            --with-speex \
+            --with-samplerate \
+            --with-curl  \
+            --disable-cache \
+            --disable-debug \
+            || return 1
+          make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="${pkgdir}" install
+}
+
+md5sums="18e3a979b67091bfee4b62217908c473  moc-2.5.0.tar.bz2"
+sha256sums="d29ea52240af76c4aa56fa293553da9d66675823e689249cee5f8a60657a6091  moc-2.5.0.tar.bz2"
+sha512sums="ca6cfd4d1d13030bd561df8ab671399a17dfb675c360ecc95a2491c6a85764d0f72259ac33665405b197f370f4fd7ef59d9a485706f8a882bff30d0fafcf252c  moc-2.5.0.tar.bz2"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---